List all API products
GET /api/api_products
GET /api/api_productsInteractive request editor loads with JavaScript.
Authorization
BearerAuth In: header
Query Parameters
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Index to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Condition to search resources by.
Value in
- "unsubscribed"
- "wait_for_approval"
- "subscribed"
The object ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/api_products?search=version%253Dv2"{
"list": [
{
"type": "gateway",
"name": "Weather Insights API",
"logo": "string",
"desc": "The Weather Insights API provides real-time and historical weather data for any location worldwide.",
"labels": {
"version": "v2",
"env": "prod"
},
"auth": {
"key-auth": {
"header": "apikey",
"hide_credentials": false,
"query": "apikey"
}
},
"status": "draft",
"subscription_auto_approval": false,
"can_view_unsubscribed": true,
"visibility": "public",
"raw_openapis": [
"Raw OpenAPI spec"
],
"api_count": 10,
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z",
"subscription_status": "unsubscribed"
}
],
"total": 1
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
GET /api/api_products
List all API products
Parameters
page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.order_by(query, string, optional): Index to order resources by.search(query, string, optional): Condition to search resources by.subscription_status(query, string, optional):application_id(query, string, optional):
Responses
200:list(array, required): An array of API products.- allOf variant 1
- oneOf variant 1: Gateway API Product
- allOf variant 1
list[].type(string, required):list[].name(string, required): The object name.list[].logo(string, optional): The base64-encoded logo image of the API product.list[].desc(string, optional): The description of the API product.list[].labels(object, optional): Key-value pairs of labels.list[].auth(object, required): The authentication configuration of the API product.list[].auth.key-auth(object, optional): Key authentication configurations.list[].auth.key-auth.hide_credentials(boolean, optional): If true, do not pass the header or query string with key to upstream services.list[].auth.key-auth.query(string, optional): The query string to get the key from. Lower priority than header.list[].auth.key-auth.header(string, optional): The header to get the key from.list[].auth.basic-auth(object, optional): Basic authentication configurations.list[].auth.basic-auth.hide_credentials(boolean, optional): If true, do not pass the header or query string with key to upstream services.list[].auth.dcr(object, optional): DCR authentication configurations.list[].auth.dcr.dcr_provider_id(string, required): ID of the DCR provider.list[].status(string, required): Status of the API product.list[].subscription_auto_approval(boolean, required): If true, the subscription is automatically approved.list[].can_view_unsubscribed(boolean, required): If true, developers can view the unsubscribed API.list[].visibility(string, required): The visibility of the API product in the API hub.publicmeans the product is visible to all users andlogged_inmeans the product is only visible to logged-in developers.list[].raw_openapis(array, optional): An array of raw OpenAPI specifications. It is only returned when getting an API product.list[].api_count(number, optional): API count. It is only returned when listing API products.- allOf variant 2
list[].id(string, required): The object ID.list[].created_at(string, required): The time when the object was created in ISO 8601 format.list[].updated_at(string, required): The time when the object was last updated in ISO 8601 format.- oneOf variant 2: External API Product
- allOf variant 1
- allOf variant 1
list[].type(string, required): Type of API product.list[].name(string, required): The object name.list[].raw_openapis(array, optional): An array of raw OpenAPI specifications. It is only returned when getting an API product.list[].status(string, required): Status of the API product.list[].visibility(string, required): The visibility of the API product in the API hub.publicmeans the product is visible to all users andlogged_inmeans the product is only visible to logged-in developers.- allOf variant 2
- anyOf variant 1
list[].server_url(string, required): The server URL. It should be configured if the server URL is not defined in the OpenAPI spec.- anyOf variant 2
list[].server_urls(array, required): The server URLs. It should be configured if the server URLs are not defined in the OpenAPI spec.- allOf variant 2
list[].tags(array, optional):list[].desc(string, optional): Description.list[].api_desc(string, optional): API description.list[].api_count(number, optional): API count.- allOf variant 3
list[].id(string, required): The object ID.list[].created_at(string, required): The time when the object was created in ISO 8601 format.list[].updated_at(string, required): The time when the object was last updated in ISO 8601 format.- allOf variant 2
list[].subscription_status(string, optional):total(integer, required): Total number of objects.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toGET /api/api_products, response 400 above.500: Internal server error.
cURL
curl -X GET '$API_BASE_URL/api/api_products'